SystemOrganization addCategory: #'MC2-Tests-OmniBrowser'!

OBCommandTest subclass: #MDCmdAddProjectTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdAddProjectTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/13/2007 20:49'!
factory
	^ MDCmdAddProject! !

!MDCmdAddProjectTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/4/2009 16:54'!
test04ConditionAcceptsRegistry
	| node |
	node := MDEnvironmentNode on: MDEnvironment new.
	self assert: (self isActiveOn: node for: self)! !

OBCommandTest subclass: #MDCmdAddRepositoryTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

MDCmdAddRepositoryTest subclass: #MDCmdAddDirRepositoryTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdAddDirRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/21/2008 19:52'!
factory
	^ MDCmdAddDirectoryRepository! !

!MDCmdAddDirRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/6/2009 11:37'!
repositoryType
	^ #McrDirectory! !

MDCmdAddRepositoryTest subclass: #MDCmdAddFileRepositoryTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdAddFileRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/6/2009 11:36'!
expectedRepositoryName
	^ 'testrepo.mcr'! !

!MDCmdAddFileRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:57'!
factory
	^ MDCmdAddFileRepository! !

!MDCmdAddFileRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/6/2009 11:32'!
repositoryType
	^ #McrFile! !

!MDCmdAddFileRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 21:26'!
test04ConditionAcceptsProject
	| node |
	node := MDProjectNode 
		on: MDProject forTesting
		inEnvironment: MDEnvironment new.
	node metaNode: self.
	self assert: (self  isActiveOn: node for: self)! !

MDCmdAddRepositoryTest subclass: #MDCmdAddMemoryRepositoryTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdAddMemoryRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:34'!
factory
	^ MDCmdAddMemoryRepository! !

!MDCmdAddMemoryRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/6/2009 11:31'!
repositoryType
	^ #Memory! !

!MDCmdAddMemoryRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 21:27'!
test04ConditionAcceptsProject
	| node |
	node := MDProjectNode 
		on: MDProject forTesting
		inEnvironment: MDEnvironment new.
	node metaNode: self.
	self assert: (self 
			isActiveOn: node
			for: self)! !

MDCmdAddRepositoryTest subclass: #MDCmdAddNetRepositoryTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdAddNetRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/21/2008 20:26'!
factory
	^ MDCmdAddNetRepository! !

!MDCmdAddNetRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/6/2009 11:32'!
repositoryType
	^ #Mnrp! !

!MDCmdAddNetRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 21:27'!
test04ConditionAcceptsProject
	| node |
	node := MDProjectNode 
		on: MDProject forTesting
		inEnvironment: MDEnvironment new.
	node metaNode: self.
	self assert: (self 
			isActiveOn: node
			for: self)! !

!MDCmdAddNetRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/6/2009 11:29'!
test07WithPort
	| node repository |
	node := MDProjectNode 
		on: MDProject forTesting
		inEnvironment: MDEnvironment new.
	node metaNode: self.
	
	[ self 
		executeOn: node
		for: self ] 
		on: OBTextRequest
		do: [ :req | req resume: 'localhost:98888' ].
	self assert: node project repositories size = 1.
	repository := node project repositories anyOne.
	self assert: repository locator host = 'localhost'.
	self assert: repository locator port = 98888.
	
	self assert: (node environment repositories size = 1).
	self assert: (node environment repositories includes: repository)
	
! !

!MDCmdAddNetRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/6/2009 11:29'!
test08WithoutPort
	| node repository |
	node := MDProjectNode 
		on: MDProject forTesting
		inEnvironment: MDEnvironment new.
	node metaNode: self.
	
	[ self 
		executeOn: node
		for: self ] 
		on: OBTextRequest
		do: [ :req | req resume: 'localhost' ].
	self assert: node project repositories size = 1.
	repository := node project repositories anyOne.
	self assert: repository locator host = 'localhost'.
	self assert: (node environment repositories size = 1).
	self assert: (node environment repositories includes: repository)
	
! !

!MDCmdAddRepositoryTest class methodsFor: 'as yet unclassified' stamp: 'cwp 6/12/2008 22:12'!
isAbstract
	^ self name = #MDCmdAddRepositoryTest! !

!MDCmdAddRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 6/12/2008 22:07'!
announce: anObject! !

!MDCmdAddRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 6/12/2008 22:07'!
edgesForNode: aNode
	^ {OBMetaEdge selector: #repositories}! !

!MDCmdAddRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/6/2009 11:36'!
expectedRepositoryName
	^ 'testrepo'! !

!MDCmdAddRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 21:26'!
test05ExecutionCanBeCancelled
	| node |
	node := MDProjectNode 
		on: MDProject forTesting
		inEnvironment: MDEnvironment new.
	
	[ self 
		executeOn: node
		for: self ] 
		on: OBInteractionRequest
		do: [ :req | req resume: nil ].
	self assert: node project repositories isEmpty.
	self assert: node environment repositories isEmpty.! !

!MDCmdAddRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 10/22/2009 12:32'!
test06ExecutionAddsRepository
	| node repository |
	node := MDProjectNode 
		on: MDProject forTesting
		inEnvironment: MDEnvironment new.
	[ self executeOn: node for: self ] 
		on: OBInteractionRequest
		do: [ :req | req resume: 'testrepo' ].
	self assert: node project repositories size = 1.
	repository := node project repositories anyOne.
	self assert: repository name = self expectedRepositoryName.
	self assert: node environment repositories size = 1.
	self assert: (node environment repositories includes: repository).
	repository destroy.! !

OBCommandTest subclass: #MDCmdAddSliceTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

MDCmdAddSliceTest subclass: #MDCmdAddBaselineSliceTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdAddBaselineSliceTest methodsFor: 'as yet unclassified' stamp: 'jf 10/4/2009 19:48'!
factory
	^ MDCmdAddBaselineSlice! !

!MDCmdAddBaselineSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/6/2009 13:41'!
sliceType
	^ #Parents! !

MDCmdAddSliceTest subclass: #MDCmdAddChangeSetSliceTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdAddChangeSetSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 6/12/2008 23:02'!
factory
	^ MDCmdAddChangeSetSlice ! !

!MDCmdAddChangeSetSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/6/2009 13:42'!
sliceType
	^ #ChangeSet! !

!MDCmdAddChangeSetSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 21:27'!
test07ExecutionCanBeCancelled
	| node |
	node := MDProjectNode 
		on: MDProject forTesting
		inEnvironment: MDEnvironment new.
	
	[ self 
		executeOn: node
		for: self ] 
		on: OBInteractionRequest
		do: [ :req | req resume: nil ].
	self assert: node project slices isEmpty.
	self assert: node environment slices isEmpty.! !

MDCmdAddSliceTest subclass: #MDCmdAddPackageInfoSliceTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdAddPackageInfoSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/27/2008 20:09'!
factory
	^ MDCmdAddPackageInfoSlice! !

!MDCmdAddPackageInfoSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/6/2009 13:31'!
sliceType
	^ #Package! !

!MDCmdAddPackageInfoSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 21:27'!
test07ExecutionCanBeCancelled
	| node |
	node := MDProjectNode 
		on: MDProject forTesting
		inEnvironment: MDEnvironment new.
	
	[ self 
		executeOn: node
		for: self ] 
		on: OBInteractionRequest
		do: [ :req | req resume: nil ].
	self assert: node project slices isEmpty.
	self assert: node environment slices isEmpty.! !

!MDCmdAddSliceTest class methodsFor: 'as yet unclassified' stamp: 'cwp 6/14/2008 00:56'!
isAbstract
	^ self name = #MDCmdAddSliceTest! !

!MDCmdAddSliceTest class methodsFor: 'as yet unclassified' stamp: 'cwp 6/14/2008 01:01'!
shouldInheritSelectors 
	^ true! !

!MDCmdAddSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/6/2009 11:57'!
announce: anObject! !

!MDCmdAddSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 6/14/2008 00:58'!
edgesForNode: aNode
	^ {OBMetaEdge selector: #slices}! !

!MDCmdAddSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/6/2009 13:30'!
sliceType
	self subclassResponsibility! !

!MDCmdAddSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 21:27'!
test04ConditionAcceptsUnselectedProject
	| node |
	node := MDProjectNode on: MDProject forTesting inEnvironment: MDEnvironment new.
	node metaNode: self.
	isSelected := false.
	self assert: (self isActiveOn: node for: self)! !

!MDCmdAddSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 22:06'!
test05ConditionRejectsSelectedSlice
	| node |
	node := MDSliceNode 
		on: (MDExplicitSlice forTesting) 
		inEnvironment: MDEnvironment new.
	isSelected := true.
	self deny: (self isActiveOn: node for: self)! !

!MDCmdAddSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 21:27'!
test06ConditionRejectsSelectedProject
	| node |
	node := MDProjectNode on: MDProject forTesting inEnvironment: MDEnvironment new.
	node metaNode: self.
	isSelected := true.
	self deny: (self isActiveOn: node for: self)! !

!MDCmdAddSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/12/2009 22:53'!
test08ExecutionAddsSlice
		| node slice |
	node := MDProjectNode 
		on: MDProject forTesting
		inEnvironment: MDEnvironment new.
	
	[ self 
		executeOn: node
		for: self ] 
		on: OBInteractionRequest
		do: [ :req | req resume: 'testslice' ].
	self assert: node project slices size = 1.
	slice := node project slices anyOne.
	self assert: node environment slices size = 1.
	self assert: (node environment slices includes: slice)! !

OBCommandTest subclass: #MDCmdAddToUnionSliceTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdAddToUnionSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 6/14/2008 17:04'!
factory
	^ MDCmdAddToUnionSlice! !

!MDCmdAddToUnionSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 22:07'!
test04ConditionAcceptsSliceNodes
	| node |
	node := MDSliceNode 
		on: MDExplicitSlice forTesting 
		inEnvironment: MDEnvironment new.
	isSelected := true.
	self assert: (self isActiveOn: node for: self)! !

!MDCmdAddToUnionSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 22:07'!
test05ConditionRequiresSelection
	| node |
	node := MDSliceNode 
		on: MDExplicitSlice forTesting 
		inEnvironment: MDEnvironment new.
	isSelected := false.
	self deny: (self isActiveOn: node for: self)! !

OBCommandTest subclass: #MDCmdApplyAllTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdApplyAllTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/12/2007 23:17'!
factory
	^ MDCmdApplyAll! !

!MDCmdApplyAllTest methodsFor: 'as yet unclassified' stamp: 'jf 9/8/2009 16:24'!
node
	| builder merge wc |
	builder := MDTestBuilder new.
	wc := MDWorkspace forTesting.
	merge := builder mergeIn: wc.
	^ MDInclusionNode 
		workspace: wc
		merges: (Array with: merge)! !

!MDCmdApplyAllTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/8/2010 16:14'!
test04ConditionAcceptsInclusion
	| node |
	node := MDInclusionNode workspace: nil merges: #().
	isSelected := false.
	self assert: (self isActiveOn: node for: self)! !

!MDCmdApplyAllTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/8/2010 16:15'!
test05ConditionRequiresParent
	| node |
	node := MDInclusionNode workspace: nil merges: #().
	isSelected := true.
	self deny: (self isActiveOn: node for: self)! !

!MDCmdApplyAllTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/22/2008 21:15'!
test06DisabledWhenConflictExists
	| node |
	node := self node.
	self deny: (self isEnabledOn: node for: self)! !

!MDCmdApplyAllTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/22/2008 21:15'!
test07EnabledWhenAllConflictsResolved
	| node |
	node := self node.
	node merges first chooseRemote.
	self assert: (self isEnabledOn: node for: self)! !

OBCommandTest subclass: #MDCmdBrowseTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdBrowseTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/13/2007 21:37'!
factory
	^ MDCmdBrowse! !

!MDCmdBrowseTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/13/2007 21:43'!
test02HasCorrectKeystroke 
	self assert: self command keystroke = $b! !

!MDCmdBrowseTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 21:27'!
test04ConditionRequiresSelection
	| node |
	node := MDProjectNode 
		on: MDProject forTesting
		inEnvironment: MDEnvironment new.
	isSelected := false.
	self deny: (self 
			isActiveOn: node
			for: self)! !

!MDCmdBrowseTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 21:27'!
test05ConditionAcceptsProject
	| node |
	node := MDProjectNode 
		on: MDProject forTesting
		inEnvironment: MDEnvironment new.
	isSelected := true.
	self assert: (self 
			isActiveOn: node
			for: self)! !

OBCommandTest subclass: #MDCmdDirectoryRepositoryTest
	instanceVariableNames: 'announcement tearDownRepositories'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdDirectoryRepositoryTest class methodsFor: 'as yet unclassified' stamp: 'cwp 11/23/2008 23:41'!
isAbstract
	^ self name = #MDCmdDirectoryRepositoryTest! !

!MDCmdDirectoryRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/23/2008 16:38'!
announce: anAnnouncement
	announcement := anAnnouncement! !

!MDCmdDirectoryRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 21:36'!
createNode
	| repository |
	repository := MDDirectoryRepository forTesting.
	self noteRepository: repository.
	^ MDRepositoryNode 
		on: repository
		inEnvironment: MDEnvironment new.! !

!MDCmdDirectoryRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/23/2008 16:38'!
factory
	self subclassResponsibility! !

!MDCmdDirectoryRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 10/22/2009 14:09'!
noteRepository: aRepository 
	^ tearDownRepositories add: aRepository! !

!MDCmdDirectoryRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 10/22/2009 14:10'!
setUp
	tearDownRepositories := OrderedCollection new.
	super setUp! !

!MDCmdDirectoryRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 10/22/2009 14:12'!
tearDown
	super tearDown.
	tearDownRepositories do: [:each | each destroy].
	tearDownRepositories := nil! !

!MDCmdDirectoryRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 22:39'!
test04ConditionAcceptsRepository
	| node |
	node := MDRepositoryNode 
		on: MDMemoryRepository forTesting 
		inEnvironment: MDEnvironment new.
	isSelected := true.
	self assert: (self isActiveOn: node for: self)! !

!MDCmdDirectoryRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 22:07'!
test05ConditionIgnoresSlice
	| node |
	node := MDSliceNode 
		on: MDExplicitSlice forTesting
		inEnvironment: MDEnvironment new.
	isSelected := true.
	self deny: (self isActiveOn: node for: self)! !

!MDCmdDirectoryRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 22:39'!
test06ConditionIgnoresParent
	| node |
	node := MDRepositoryNode on: MDMemoryRepository forTesting inEnvironment: MDEnvironment new.
	isSelected := false.
	self deny: (self isActiveOn: node for: self)! !

!MDCmdDirectoryRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 22:39'!
test08DisabledForOtherRepository
	| node |
	node := MDRepositoryNode 
		on: MDMemoryRepository forTesting
		inEnvironment: MDEnvironment new.
	self deny: (self 
			isEnabledOn: node
			for: self)! !

MDCmdDirectoryRepositoryTest subclass: #MDCmdNilPrimaryTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdNilPrimaryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/23/2008 16:36'!
factory
	^ MDCmdNilPrimary! !

!MDCmdNilPrimaryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/23/2008 16:52'!
test07EnabledForDirectoryRepository
	| node |
	node := self createNode.
	node repository primaryName: 'abc'.
	self assert: (self isEnabledOn: node for: self)! !

!MDCmdNilPrimaryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/23/2008 16:58'!
test09UpdatesPrimaryName
	| node |
	node := self createNode.
	self executeOn: node for: self.
	self assert: node repository primaryName = MDPlatform current initials! !

!MDCmdNilPrimaryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/23/2008 16:59'!
test10AnnouncesChange
	| node |
	node := self createNode.
	self executeOn: node for: self.
	self assert: announcement class = OBNodeChanged.! !

!MDCmdNilPrimaryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/23/2008 17:02'!
test11DisabledWhenAlreadyNil
	| node |
	node := self createNode.
	node repository primaryName: nil.
	self deny: (self isEnabledOn: node for: self)! !

MDCmdDirectoryRepositoryTest subclass: #MDCmdRenamePrimaryTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdRenamePrimaryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/23/2008 16:06'!
factory
	^ MDCmdRenamePrimary! !

!MDCmdRenamePrimaryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/23/2008 16:53'!
test07EnabledForDirectoryRepository
	| node |
	node := self createNode.
	self assert: (self isEnabledOn: node for: self)! !

!MDCmdRenamePrimaryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/23/2008 16:49'!
test09UpdatesPrimaryName
	| node |
	node := self createNode.
	[self executeOn: node for: self] 
		on: OBTextRequest
		do: [ :req | req resume: 'abc' ].
	self assert: node repository primaryName = 'abc'! !

!MDCmdRenamePrimaryTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 21:36'!
test10AnnouncesChange
	| node |
	node := MDRepositoryNode 
		on: MDDirectoryRepository forTesting
		inEnvironment: MDEnvironment new.
	
	[ self 
		executeOn: node
		for: self ] 
		on: OBTextRequest
		do: [ :req | req resume: 'abc' ].
	self assert: announcement class = OBNodeChanged! !

OBCommandTest subclass: #MDCmdFileoutSnapshotTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdFileoutSnapshotTest methodsFor: 'as yet unclassified' stamp: 'cwp 4/4/2008 20:17'!
factory
	^ MDCmdFileoutSnapshot! !

!MDCmdFileoutSnapshotTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/18/2009 02:24'!
test04ConditionAcceptsMemo
	| node |
	node := MDMemoNode on: MDMemo new inEnvironment: MDEnvironment new.
	isSelected := true.
	self assert: (self isActiveOn: node for: self)! !

!MDCmdFileoutSnapshotTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/18/2009 02:24'!
test05ConditionIgnoresParent
	| node |
	node := MDMemoNode on: MDMemo new inEnvironment: MDEnvironment new.
	isSelected := false.
	self deny: (self isActiveOn: node for: self)! !

OBCommandTest subclass: #MDCmdIncludeSnapshotTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdIncludeSnapshotTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/9/2007 12:49'!
factory
	^ MDCmdIncludeSnapshot! !

!MDCmdIncludeSnapshotTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/9/2007 12:51'!
test02HasCorrectKeystroke
	self assert: self command keystroke = $i! !

!MDCmdIncludeSnapshotTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/18/2009 02:24'!
test04ConditionAcceptsMemo
	| node |
	node := MDMemoNode on: MDMemo new inEnvironment: MDEnvironment new.
	isSelected := true.
	self assert: (self isActiveOn: node for: self)! !

!MDCmdIncludeSnapshotTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/18/2009 02:24'!
test05ConditionIgnoresParent
	| node |
	node := MDMemoNode on: MDMemo new inEnvironment: MDEnvironment new.
	isSelected := false.
	self deny: (self isActiveOn: node for: self)! !

OBCommandTest subclass: #MDCmdLoadSnapshotTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdLoadSnapshotTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/18/2007 00:01'!
factory
	^ MDCmdLoadSnapshot! !

!MDCmdLoadSnapshotTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/18/2007 00:03'!
test02HasCorrectKeystroke
	self assert: self command keystroke = $l! !

!MDCmdLoadSnapshotTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/18/2009 02:23'!
test04ConditionAcceptsMemo
	| node |
	node := MDMemoNode on: MDMemo new inEnvironment: MDEnvironment new.
	isSelected := true.
	self assert: (self isActiveOn: node for: self)! !

!MDCmdLoadSnapshotTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/18/2009 02:24'!
test05ConditionIgnoresParent
	| node |
	node := MDMemoNode on: MDMemo new inEnvironment: MDEnvironment new.
	isSelected := false.
	self deny: (self isActiveOn: node for: self)! !

OBCommandTest subclass: #MDCmdMergeTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

MDCmdMergeTest subclass: #MDCmdApplyResolutionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdApplyResolutionTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/16/2007 19:58'!
factory
	^ MDCmdApplyResolution! !

!MDCmdApplyResolutionTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/12/2007 22:39'!
test02HasCorrectKeystroke 
	self assert: self command keystroke = $a! !

!MDCmdApplyResolutionTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/22/2008 21:15'!
test08DisabledOnConflict
	| node |
	self shouldTestEnabling ifTrue:
		[node := self mergeNode.
		self deny: (self isEnabledOn: node for: self)]! !

MDCmdMergeTest subclass: #MDCmdChooseLocalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdChooseLocalTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/10/2007 20:14'!
factory
	^ MDCmdChooseLocal! !

!MDCmdChooseLocalTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/11/2007 15:20'!
test02HasCorrectKeystroke 
	self assert: self command keystroke = $l! !

MDCmdMergeTest subclass: #MDCmdChooseRemoteTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdChooseRemoteTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/11/2007 19:06'!
factory
	^ MDCmdChooseRemote! !

!MDCmdChooseRemoteTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/11/2007 19:07'!
test02HasCorrectKeystroke 
	self assert: self command keystroke = $r! !

MDCmdMergeTest subclass: #MDCmdLoadLocalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdLoadLocalTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/12/2007 22:19'!
factory
	^ MDCmdLoadLocal! !

!MDCmdLoadLocalTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/16/2007 22:29'!
shouldTestEnabling
	^ false! !

MDCmdMergeTest subclass: #MDCmdLoadRemoteTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdLoadRemoteTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/12/2007 22:29'!
factory
	^ MDCmdLoadRemote! !

!MDCmdLoadRemoteTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/16/2007 22:47'!
shouldTestEnabling
	^ false! !

!MDCmdMergeTest class methodsFor: 'as yet unclassified' stamp: 'cwp 12/12/2007 22:09'!
isAbstract
	^ self name = #MDCmdMergeTest! !

!MDCmdMergeTest methodsFor: 'as yet unclassified' stamp: 'jf 9/8/2009 16:24'!
mergeNode
	| wc |
	wc := MDWorkspace forTesting.
	^ MDMergeNode 
		on: (MDTestBuilder new mergeIn: wc)
		inWorkspace: wc! !

!MDCmdMergeTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/16/2007 22:29'!
shouldTestEnabling
	^ true! !

!MDCmdMergeTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/22/2008 21:15'!
test04ConditionAcceptsMergeNode
	| node |
	node := self mergeNode.
	isSelected := true.
	self assert: (self isActiveOn: node for: self)! !

!MDCmdMergeTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/22/2008 21:15'!
test05ConditionRejectsParent
	| node |
	node := self mergeNode.
	isSelected := false.
	self deny: (self isActiveOn: node for: self)! !

!MDCmdMergeTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/22/2008 21:15'!
test06EnabledBeforeApplied
	| node |
	self shouldTestEnabling ifTrue:
		[node := self mergeNode.
		node chooseLocal.
		self assert: (self isEnabledOn: node for: self)]! !

!MDCmdMergeTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/22/2008 21:15'!
test07DisabledAfterApplied
	| node |
	self shouldTestEnabling ifTrue:
		[node := self mergeNode.
		node chooseLocal; apply.
		self deny: (self isEnabledOn: node for: self)]! !

OBCommandTest subclass: #MDCmdRemoveProjectTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdRemoveProjectTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/13/2007 23:12'!
factory
	^ MDCmdRemoveProject! !

!MDCmdRemoveProjectTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 21:27'!
selectedNode
	^ MDProjectNode 
		on: MDProject forTesting
		inEnvironment: MDEnvironment new! !

!MDCmdRemoveProjectTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/16/2009 16:01'!
test04ConditionAcceptsRegistry
	| node |
	node := MDEnvironmentNode on: MDRegistry new.
	self assert: (self 
			isActiveOn: node
			for: self)! !

OBCommandTest subclass: #MDCmdRemoveRepositoryTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdRemoveRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:25'!
factory
	^ MDCmdRemoveRepository! !

!MDCmdRemoveRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/20/2007 00:30'!
test02HasCorrectKeystroke 
	self assert: self command keystroke = $x! !

!MDCmdRemoveRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 22:39'!
test04ConditionAcceptsRepository
	| node |
	node := MDRepositoryNode 
		on: MDMemoryRepository forTesting
		inEnvironment: MDEnvironment new.
	isSelected := true.
	self assert: (self 
			isActiveOn: node
			for: self)! !

!MDCmdRemoveRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 22:39'!
test05ConditionIgnoresParent
	| node |
	node := MDRepositoryNode 
		on: MDMemoryRepository forTesting
		inEnvironment: MDEnvironment new.
	isSelected := false.
	self deny: (self 
			isActiveOn: node
			for: self)! !

OBCommandTest subclass: #MDCmdRemoveSliceTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdRemoveSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:27'!
factory
	^ MDCmdRemoveSlice! !

!MDCmdRemoveSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/19/2007 23:28'!
test02HasCorrectKeystroke
	self assert: self command keystroke = $x! !

!MDCmdRemoveSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 22:08'!
test04ConditionAcceptsSlice
	| node |
	node := MDSliceNode 
		on: MDExplicitSlice forTesting
		inEnvironment: MDEnvironment new.
	isSelected := true.
	self assert: (self isActiveOn: node for: self)! !

!MDCmdRemoveSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 22:07'!
test05ConditionIgnoresParent
	| node |
	node := MDSliceNode 
		on: MDExplicitSlice forTesting
		inEnvironment: MDEnvironment new.
	isSelected := false.
	self deny: (self isActiveOn: node for: self)! !

OBCommandTest subclass: #MDCmdSaveSliceTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdSaveSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/8/2007 23:36'!
factory
	^ MDCmdSaveSlice! !

!MDCmdSaveSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/16/2007 22:30'!
shouldTestEnabling
	^ false! !

!MDCmdSaveSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 11/8/2007 23:39'!
test02HasCorrectKeystroke
	self assert: self command keystroke = $s! !

!MDCmdSaveSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 22:08'!
test04ConditionAcceptsSlice
	| node |
	node := MDSliceNode 
		on: MDExplicitSlice forTesting 
		inEnvironment: MDEnvironment new.
	isSelected := true.
	self assert: (self isActiveOn: node for: self)! !

!MDCmdSaveSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 22:08'!
test05ConditionIgnoresParent
	| node |
	node := MDSliceNode 
		on: MDExplicitSlice forTesting 
		inEnvironment: MDEnvironment new.
	isSelected := false.
	self deny: (self isActiveOn: node for: self)! !

!MDCmdSaveSliceTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 22:08'!
test06WarnsOfNoRepositories
	| node exception |
	node := MDSliceNode 
		on: MDExplicitSlice forTesting 
		inEnvironment: MDEnvironment new.
	[self executeOn: node for: self]
		on: OBInteractionRequest 
		do: [:req | exception := req].
	self deny: exception isNil.
	self assert: exception class = OBInformRequest.
	self assert: exception message = 'This project has no repositories'! !

OBCommandTest subclass: #MDCmdSaveSnapshotTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdSaveSnapshotTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/3/2008 23:51'!
factory
	^ MDCmdSaveSnapshot! !

!MDCmdSaveSnapshotTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/18/2009 02:26'!
test04ConditionAcceptsMemo
	| node |
	node := MDMemoNode 
		on: MDMemo new
		inEnvironment: MDEnvironment new.
	isSelected := true.
	self assert: (self 
			isActiveOn: node
			for: self)! !

!MDCmdSaveSnapshotTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/18/2009 02:26'!
test05ConditionRejectsParent
	| node |
	node := MDMemoNode 
		on: MDMemo new
		inEnvironment: MDEnvironment new.
	isSelected := false.
	self deny: (self 
			isActiveOn: node
			for: self)! !

OBCommandTest subclass: #MDCmdShowChangesTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdShowChangesTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/24/2008 20:27'!
factory
	^ MDCmdShowChanges! !

!MDCmdShowChangesTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 22:09'!
test04ConditionAcceptsSlice
	| node |
	node := MDSliceNode 
		on: MDExplicitSlice forTesting 
		inEnvironment: MDEnvironment new.
	isSelected := true.
	self assert: (self isActiveOn: node for: self)! !

!MDCmdShowChangesTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 22:09'!
test05ConditionIgnoresParent
	| node |
	node := MDSliceNode 
		on: MDExplicitSlice forTesting 
		inEnvironment: MDEnvironment new.
	isSelected := false.
	self deny: (self isActiveOn: node for: self)! !

OBCommandTest subclass: #MDCmdSyncRepositoryTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDCmdSyncRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/23/2007 00:15'!
factory
	^ MDCmdSyncRepository! !

!MDCmdSyncRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 22:39'!
test04ConditionAcceptsRepository
	| node |
	node := MDRepositoryNode 
		on: MDMemoryRepository forTesting
		inEnvironment: MDEnvironment new.
	isSelected := true.
	self assert: (self 
			isActiveOn: node
			for: self)! !

!MDCmdSyncRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 22:39'!
test05ConditionIgnoresParent
	| node |
	node := MDRepositoryNode 
		on: MDMemoryRepository forTesting
		inEnvironment: MDEnvironment new.
	isSelected := false.
	self deny: (self 
			isActiveOn: node
			for: self)! !

!MDCmdSyncRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/18/2009 02:52'!
test06IsEnabledWhenProjectHasAnotherRepository
	| node environment |
	environment := MDEnvironment new.
	environment addRepository: (MDMemoryRepository named: 'one').
	environment addRepository: (MDMemoryRepository named: 'two').
	node := MDRepositoryNode 
				on: environment repositories first
				inEnvironment: environment.
	isSelected := false.
	self assert: (self isEnabledOn: node for: self)! !

!MDCmdSyncRepositoryTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/18/2009 02:50'!
test07IsDisabledWhenProjectHasNoOtherRepositories
	| node environment |
	environment := MDProject forTesting.
	environment addRepository: (MDMemoryRepository forTesting).
	node := MDRepositoryNode 
				on: environment repositories first
				inEnvironment: environment.
	isSelected := false.
	self deny: (self isEnabledOn: node for: self)! !

MDSmalltalkAdaptionTest subclass: #MDSqueakDefinitionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDSqueakDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 12/16/2007 23:59'!
adaptorSelectors
	^ #(text selection accept:notifying:)! !

!MDSqueakDefinitionTest methodsFor: 'as yet unclassified' stamp: 'jf 10/21/2009 16:11'!
setUp
	domain := MDVariantDefinition! !

MDMonticelloAdaptionTest subclass: #MDMonticelloDefinitionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDMonticelloDefinitionTest class methodsFor: 'as yet unclassified' stamp: 'cwp 9/12/2009 22:13'!
shouldInheritSelectors
	^ true! !

!MDMonticelloDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 7/19/2008 18:49'!
adaptorSelectors
	^ #(text selection accept:notifying:)! !

!MDMonticelloDefinitionTest methodsFor: 'as yet unclassified' stamp: 'jf 10/21/2009 16:11'!
setUp
	domain := MDVariantDefinition! !

TestCase subclass: #MDDefinitionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

MDDefinitionTest subclass: #MDClassDefinitionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDClassDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/1/2008 22:16'!
expectedText
	^ 'Object subclass: BogusA
	category: ''Bogus-Base'''! !

!MDClassDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/1/2008 22:16'!
newText
	^ 'Object subclass: BogusA
	category: ''Bogus-Format'''! !

!MDClassDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/22/2008 21:15'!
variant
	| variant |
	variant := MDDefinitionVariant forElement: 
				(MDClassElement className: #BogusA).
	variant properties
		category: #'Bogus-Base';
		format: #normal;
		superclassName: #Object.
	^ variant! !

!MDDefinitionTest class methodsFor: 'as yet unclassified' stamp: 'cwp 7/22/2008 22:44'!
isAbstract
	^ self name = #MDDefinitionTest! !

!MDDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 7/22/2008 22:42'!
expectedText
	self subclassResponsibility! !

!MDDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 7/22/2008 22:42'!
newText
	self subclassResponsibility! !

!MDDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 7/23/2008 07:29'!
testAccept
	| variant definition new |
	variant := self variant.
	definition := variant definition.
	definition callback: [:v | new := v].
	definition accept: self newText notifying: nil.
	self deny: new isNil.
	self assert: new properties size = 3.
	self assert: new properties category = #'Bogus-Format'.
	self assert: new properties format = #normal.
	self assert: new properties superclassName = #Object.! !

!MDDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 7/23/2008 07:27'!
testText
	| variant definition |
	variant := self variant.
	definition := variant definition.
	self assert: definition text = self expectedText! !

!MDDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 7/22/2008 22:42'!
variant
	self subclassResponsibility! !

MDDefinitionTest subclass: #MDSliceDefinitionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDSliceDefinitionTest methodsFor: 'as yet unclassified' stamp: 'jf 10/17/2009 00:29'!
expectedText
	^ 'elements: a Set()
name: ''TestSlice''
'! !

!MDSliceDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 7/23/2008 07:28'!
newText
	^ 'elements: a Set()
name: ''TestSlice2''
type: #Explicit
'! !

!MDSliceDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 7/23/2008 07:32'!
testAccept
	| variant definition new |
	variant := self variant.
	definition := variant definition.
	definition callback: [:v | new := v].
	definition accept: self newText notifying: nil.
	self deny: new isNil! !

!MDSliceDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 7/23/2008 07:24'!
variant
	^ MDTestBuilder new sliceVariant! !

TestCase subclass: #MDMemoFilterTest
	instanceVariableNames: 'filter slice environment'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDMemoFilterTest methodsFor: 'as yet unclassified' stamp: 'cwp 6/11/2008 07:13'!
memoWithParents: anArray
	^ MDMemo
		snapshot: (MDSnapshot withVersions: #())
		slice: slice
		parents: (anArray collect: [:ea | ea hashstamp])
		properties: (MDPropertyDictionary new
					initials: 'abc';
					sliceName: 'TestSlice';
					ordinal: (anArray inject: 1 into: [:max :ea | ea properties ordinal max: max]))! !

!MDMemoFilterTest methodsFor: 'as yet unclassified' stamp: 'jf 10/21/2009 16:35'!
setUp
	filter := MDMemoFilter new.
	environment := MDEnvironment new.
	slice := environment addSlice: MDExplicitSlice forTesting! !

!MDMemoFilterTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/18/2009 02:31'!
testChildLoaded
	| display parent child parentNode childNode |
	parent := self memoWithParents: #().
	child := self memoWithParents: {  parent  }.
	(environment historianWithId: parent sliceId) noteLoad: child.
	parentNode := MDMemoNode 
		on: parent
		inEnvironment: environment.
	childNode := MDMemoNode 
		on: child
		inEnvironment: environment.
	filter 
		nodesFrom: {  childNode. parentNode  }
		forNode: nil.
	display := filter 
		displayString: parentNode name
		forNode: parentNode.
	self deny: display isText! !

!MDMemoFilterTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/18/2009 02:30'!
testNoParents
	| memo node display |
	memo := self memoWithParents: #().
	node := MDMemoNode 
		on: memo
		inEnvironment: environment.
	filter 
		nodesFrom: {  node  }
		forNode: nil.
	display := filter 
		displayString: node name
		forParent: nil
		child: node.
	self assert: display isText! !

!MDMemoFilterTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/18/2009 02:30'!
testNodeLoaded
	| display parent parentNode |
	parent := self memoWithParents: #().
	(environment historianWithId: parent sliceId) noteLoad: parent.
	parentNode := MDMemoNode 
		on: parent
		inEnvironment: environment.
	filter 
		nodesFrom: {  parentNode  }
		forNode: nil.
	display := filter 
		displayString: parentNode name
		forParent: nil
		child: parentNode.
	self assert: display isText! !

!MDMemoFilterTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/18/2009 02:31'!
testParentLoaded
	| display parent child parentNode childNode |
	parent := self memoWithParents: #().
	child := self memoWithParents: {  parent  }.
	(environment historianWithId: parent sliceId) noteLoad: parent.
	parentNode := MDMemoNode 
		on: parent
		inEnvironment: environment.
	childNode := MDMemoNode 
		on: child
		inEnvironment: environment.
	filter 
		nodesFrom: {  childNode. parentNode  }
		forNode: nil.
	display := filter 
		displayString: childNode name
		forParent: nil
		child: childNode.
	self assert: display isText! !

TestCase subclass: #MDMethodDefinitionTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDMethodDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/22/2008 21:15'!
testAccept
	| variant definition source new |
	source := 'a ^ $B'.
	variant := self variant.
	definition := MDMethodDefinition on: variant.
	definition callback: [:v | new := v].
	definition accept: source notifying: nil.
	self deny: new isNil.
	self assert: new properties source = source.! !

!MDMethodDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/22/2008 21:15'!
testText
	| variant definition |
	variant := self variant.
	definition := MDMethodDefinition on: variant.
	self assert: definition text = variant properties source.! !

!MDMethodDefinitionTest methodsFor: 'as yet unclassified' stamp: 'cwp 5/22/2008 21:15'!
variant
	| variant |
	variant := MDDefinitionVariant forElement: 
				(MDMethodElement className: #BogusA selector: #a).
	variant properties
		category: #letters;
		initials: 'cwp';
		timestamp: MDTimestamp now;
		source: 'a ^ $A'.
	^ variant! !

TestCase subclass: #MDNodeAncestryTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDNodeAncestryTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/18/2009 02:21'!
testMemoIdentity
	| memo environment a b |
	memo := MDMemo new.
	environment := MDEnvironment new.
	a := MDMemoNode on: memo inEnvironment: environment.
	b := MDMemoNode on: memo inEnvironment: environment.
	self assert: (a isAncestorOf: b)! !

!MDNodeAncestryTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 21:27'!
testProjectRepository
	| project repository pNode rNode environment |
	environment := MDEnvironment new.
	environment addDomain: MDSqueakDomain new.
	project := MDProject forTesting. 
	repository := project addRepository: MDMemoryRepository forTesting.
	pNode := MDProjectNode on: project inEnvironment: environment.
	rNode := MDRepositoryNode 
		on: repository
		inEnvironment: environment.
	self assert: (pNode isAncestorOf: rNode)! !

!MDNodeAncestryTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 22:11'!
testSliceIsAncestor
	| memo environment a b slice  |
	environment := MDEnvironment new.
	slice := MDExplicitSlice forTesting.
	memo := MDMemo new.
	memo setSnapshot: (MDSnapshot withVersions: Set new) slice: slice.
	a := MDSliceNode on: slice inEnvironment: environment.
	b := MDMemoNode on: memo inEnvironment: environment.
	self assert: (a isAncestorOf: b)
! !

TestCase subclass: #MDSliceFilterTest
	instanceVariableNames: 'slice project filter node environment'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-OmniBrowser'!

!MDSliceFilterTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/8/2009 23:33'!
addSlice: aSlice
	slice := aSlice.
	environment addSlice: slice toProject: project.
	filter := MDSliceIconFilter new.
	node := MDSliceNode on: slice inEnvironment: self environment.
! !

!MDSliceFilterTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/8/2009 23:11'!
environment
	^ environment! !

!MDSliceFilterTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/8/2009 23:11'!
setUp
	environment := MDEnvironment forTesting.
	project := MDProject forTesting.
	environment addProject: project.! !

!MDSliceFilterTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/11/2009 20:05'!
testMonticelloClean
	| element icon |
	self addSlice: (MDProjectSlice on: project).
	element := MDProjectElement for: project.
	icon := filter icon: nil forNode: node.
	self assert: icon = #monticelloClean! !

!MDSliceFilterTest methodsFor: 'as yet unclassified' stamp: 'cwp 9/11/2009 20:09'!
testMonticelloDirty
	| element |
	self addSlice: (MDProjectSlice on: project).
	element := MDProjectElement for: project.
	self environment noteElementChanged: element.
	self assert: (filter icon: nil forNode: node) = #monticelloDirty! !

!MDSliceFilterTest methodsFor: 'as yet unclassified' stamp: 'cwp 6/7/2008 13:45'!
testSmalltalkClean
	| element |
	self addSlice: MDExplicitSlice forTesting.
	element := MDClassElement className: #MBBogusA.
	slice addElement: element.
	self assert: (filter icon: nil forNode: node) = #smalltalkClean.! !

!MDSliceFilterTest methodsFor: 'as yet unclassified' stamp: 'cwp 8/14/2009 22:32'!
testSmalltalkDirty
	| element |
	self addSlice: MDExplicitSlice forTesting.
	element := MDClassElement className: #MDBogusA.
	slice addElement: element.
	self environment noteElementChanged: element.
	self assert: (filter 
			icon: nil
			forNode: node) = #smalltalkDirty! !

!MDSliceFilterTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 22:22'!
testUnionClean
	| icon |
	self addSlice: MDUnionSlice forTesting.
	icon := filter icon: nil forNode: node.
	self assert: icon = #blank! !

!MDSliceFilterTest methodsFor: 'as yet unclassified' stamp: 'cwp 1/18/2010 22:22'!
testUnionDirty
	| element explicit |
	explicit := MDExplicitSlice forTesting.
	self addSlice: (MDUnionSlice forTesting
					addSlice: explicit;
					yourself).
	element := MDClassElement className: #MDBogusA.
	explicit addElement: element.
	self environment noteElementChanged: element.
	self assert: (filter icon: nil forNode: node) = #compositeDirty! !
